#ifdef GL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec4 u_color;

void main(void)
{
  vec4 c = texture2D(CC_Texture0, v_texCoord);

  gl_FragColor.rgb = v_fragmentColor.rgb * u_color.rgb * c.a;
  gl_FragColor.a   = v_fragmentColor.a   * u_color.a   * c.a;
}