#ifdef GL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float u_speed;              // 1.0 ~

#define M_PI 3.1415926535897932384626433832795

void main()
{
  float time = CC_Time[1];
  vec2 coord = v_texCoord;
  coord.x += (sin(coord.x * 10.0 + time * 5.0 * u_speed) / 30.0);
  gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, coord);
}
